Bug 1509660 - gtk-doc should run on Python 3
Summary: gtk-doc should run on Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-doc
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2017-11-05 13:47 UTC by Miro Hrončok
Modified: 2018-03-30 13:20 UTC (History)
5 users (show)

Fixed In Version: gtk-doc-1.28-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 13:20:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2017-11-05 13:47:12 UTC
According to the README at https://github.com/GNOME/gtk-doc gtk-doc supports Python 3. In Fedora, however, it runs on legacy Python (python2).

Version-Release number of selected component (if applicable):
1.26-2.fc27

How reproducible:
always

Steps to Reproduce:
1. dnf install gtk-doc

Actual results:
Brings in legacy Python python2.

Expected results:
Installs (requires and runs on) python3.

Additional info:
See gtk-doc in portingdb http://fedora.portingdb.xyz/pkg/gtk-doc/

See our guide about porting packages to Python 3: https://python-rpm-porting.readthedocs.io/

Comment 1 Troy Curtis 2017-12-13 04:32:06 UTC
I see that gtk-doc-1.27 is in testing [0], which includes additional upstream python3 fixes.  If no one has time to test getting the Fedora package converted to python3, I'd be happy to pull it together.  I just don't want to duplicate work others may already be involved in.



0: https://bodhi.fedoraproject.org/updates/FEDORA-2017-664c3037c8

Comment 2 Fedora End Of Life 2018-02-20 15:29:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Kalev Lember 2018-03-25 12:14:42 UTC
Thanks, should be fixed with https://src.fedoraproject.org/rpms/gtk-doc/c/cd6cd3accaac6766a7c4d85068a1efdec723e691

Comment 4 Fedora Update System 2018-03-25 13:28:26 UTC
gtk-doc-1.28-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8e4c99f584

Comment 5 Fedora Update System 2018-03-25 20:33:30 UTC
gtk-doc-1.28-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8e4c99f584

Comment 6 Fedora Update System 2018-03-30 13:20:34 UTC
gtk-doc-1.28-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.